#include <errno.h>
#include <string.h>

#include "embedded_device.h"
#include "employee.h"
#include "proxy.h"
#include "proxysetup.h"
#include "util.h"


int main(int argc, char** argv) {
    if(argc < 1)
        syntax_exit();
    set_bin_name(argv[0]);
    if(argc < 2)
        syntax_exit();

    char* command = argv[1];

    if(strcmp(command, "employee")==0)
        handle_employee(argc-2, argv+2);
    else if (strcmp(command, "proxy")==0)
        handle_proxy(argc-2, argv+2);
    else if (strcmp(command, "proxysetup")==0)
        handle_proxysetup(argc-2, argv+2);
    else if (strcmp(command, "embedded")==0)
        handle_embedded_device(argc-2, argv+2);
    else
        syntax_exit();
}
